# Factorial Starter Kit

The _Factorial Starter Kit_ is first of all a Drupal theme (https://www.drupal.org/project/fsk_frontend), which applies base styling to all form elements (and later most likely also other to Drupal core components).
It is also published on npm (https://www.npmjs.com/package/@factorial/fsk). This allows importing the CSS and applying it in other contexts than Drupal.

Check out http://main.fskfrontend.oterma.factorial.io/ for the component library.

## Installation

### Drupal theme

```bash
composer require 'drupal/fsk_frontend
```

### Node module

```bash
yarn add @factorial/fsk
```

## Contributing

### Installation

1. `composer install`
2. `yarn install`

### Pre-commits hook

When running `composer install`, a pre-commit hook should be initialized and check your changed for linting errors.

### Committing

We are using conventional commits (https://conventionalcommits.org/). This is also important as the CHANGELOG.md is based on that.

### Creating a release

1. `yarn release`
2. `git push`
3. `npm publish`
4. Go to https://www.drupal.org/ and create a new release
